GPS multimedia player
current longitude
current latitude
Current speed
maximum speed
average speed
total distance
open file
PLAY
PAUSE
resume
STOP
screenshot
volume
full screen mode
Exit full screen
View large map
Current UTC time
exit large map
Exit
time
tips
License file is illegitimate or does not exist, please re-register again, thank you!
ok
cancel
open
Please select your unique license file
Copy this string and send it to software publishers to get your unique registration code
Licenses cannot be permitted on this computer, please register, thank you!
The license file has been expired, please re-register, thanks.
register successfully
register




























































